package Bencher::ScenarioR::DataComparisonModules::Compare;

our $VERSION = 0.003; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        dataset     => "array len=1000",
        errors      => 1.4e-05,
        participant => "Data::Diff::diff",
        rate        => 160,
        samples     => 20,
        time        => 6.2,
        vs_slowest  => 1,
      },
      {
        dataset     => "hash keys=1000",
        errors      => 6.5e-06,
        participant => "Data::Comparator::data_comparator",
        rate        => 190,
        samples     => 20,
        time        => 5.1,
        vs_slowest  => 1.2,
      },
      {
        dataset     => "hash keys=1000",
        errors      => 6.9e-06,
        participant => "Data::Diff::diff",
        rate        => 190,
        samples     => 20,
        time        => 5.1,
        vs_slowest  => 1.2,
      },
      {
        dataset     => "hash keys=1000",
        errors      => 4e-06,
        participant => "Data::Compare::Compare",
        rate        => 209,
        samples     => 20,
        time        => 4.78,
        vs_slowest  => 1.29,
      },
      {
        dataset     => "array len=1000",
        errors      => 9.4e-06,
        participant => "Data::Comparator::data_comparator",
        rate        => 220,
        samples     => 21,
        time        => 4.6,
        vs_slowest  => 1.3,
      },
      {
        dataset     => "array len=1000",
        errors      => 6.1e-06,
        participant => "Data::Compare::Compare",
        rate        => 290,
        samples     => 20,
        time        => 3.4,
        vs_slowest  => 1.8,
      },
      {
        dataset     => "hash keys=1000",
        errors      => 4.2e-06,
        participant => "Test::Deep::NoTest::eq_deeply",
        rate        => 370,
        samples     => 20,
        time        => 2.7,
        vs_slowest  => 2.3,
      },
      {
        dataset     => "hash keys=1000",
        errors      => 4.1e-06,
        participant => "Data::Cmp::cmp_data",
        rate        => 620,
        samples     => 20,
        time        => 1.6,
        vs_slowest  => 3.8,
      },
      {
        dataset     => "array len=1000",
        errors      => 2.8e-06,
        participant => "Data::Cmp::cmp_data",
        rate        => 1000,
        samples     => 25,
        time        => 0.96,
        vs_slowest  => 6.4,
      },
      {
        dataset     => "array len=1000",
        errors      => 5.9e-06,
        participant => "Test::Deep::NoTest::eq_deeply",
        rate        => 1300,
        samples     => 21,
        time        => 0.74,
        vs_slowest  => 8.3,
      },
      {
        dataset     => "hash keys=10",
        errors      => 2.7e-07,
        participant => "Test::Deep::NoTest::eq_deeply",
        rate        => 6100,
        samples     => 20,
        time        => 0.16,
        vs_slowest  => 38,
      },
      {
        dataset     => "array len=10",
        errors      => 2.4e-07,
        participant => "Test::Deep::NoTest::eq_deeply",
        rate        => 8200,
        samples     => 25,
        time        => 0.12,
        vs_slowest  => 50,
      },
      {
        dataset     => "array len=10",
        errors      => 1.1e-07,
        participant => "Data::Diff::diff",
        rate        => 14000,
        samples     => 20,
        time        => 0.069,
        vs_slowest  => 89,
      },
      {
        dataset     => "hash keys=10",
        errors      => 1.1e-07,
        participant => "Data::Comparator::data_comparator",
        rate        => 18000,
        samples     => 20,
        time        => 0.057,
        vs_slowest  => 110,
      },
      {
        dataset     => "hash keys=10",
        errors      => 1e-07,
        participant => "Data::Diff::diff",
        rate        => 18000,
        samples     => 22,
        time        => 0.054,
        vs_slowest  => 110,
      },
      {
        dataset     => "hash keys=10",
        errors      => 1.2e-07,
        participant => "Data::Compare::Compare",
        rate        => 18000,
        samples     => 25,
        time        => 0.054,
        vs_slowest  => 110,
      },
      {
        dataset     => "array len=10",
        errors      => 1.1e-07,
        participant => "Data::Comparator::data_comparator",
        rate        => 19000,
        samples     => 20,
        time        => 0.052,
        vs_slowest  => 120,
      },
      {
        dataset     => "array len=10",
        errors      => 5.2e-08,
        participant => "Data::Compare::Compare",
        rate        => 26000,
        samples     => 21,
        time        => 0.038,
        vs_slowest  => 160,
      },
      {
        dataset     => "hash keys=10",
        errors      => 2.7e-08,
        participant => "Data::Cmp::cmp_data",
        rate        => 63000,
        samples     => 20,
        time        => 0.016,
        vs_slowest  => 390,
      },
      {
        dataset     => "array len=10",
        errors      => 5.5e-09,
        participant => "Data::Cmp::cmp_data",
        rate        => 78300,
        samples     => 29,
        time        => 0.0128,
        vs_slowest  => 482,
      },
      {
        dataset     => "simple scalar",
        errors      => 1.6e-09,
        participant => "Test::Deep::NoTest::eq_deeply",
        rate        => 167000,
        samples     => 22,
        time        => 0.00597,
        vs_slowest  => 1030,
      },
      {
        dataset     => "simple scalar",
        errors      => 4.5e-11,
        participant => "Data::Diff::diff",
        rate        => 216980,
        samples     => 21,
        time        => 0.0046087,
        vs_slowest  => 1336,
      },
      {
        dataset     => "simple scalar",
        errors      => 1.7e-09,
        participant => "Data::Comparator::data_comparator",
        rate        => 311000,
        samples     => 20,
        time        => 0.00322,
        vs_slowest  => 1910,
      },
      {
        dataset     => "simple scalar",
        errors      => 4.1e-09,
        participant => "Data::Compare::Compare",
        rate        => 440000,
        samples     => 21,
        time        => 0.0023,
        vs_slowest  => 2700,
      },
      {
        dataset     => "simple scalar",
        errors      => 2.7e-09,
        participant => "Data::Cmp::cmp_data",
        rate        => 1100000,
        samples     => 24,
        time        => 0.00092,
        vs_slowest  => 6700,
      },
    ],
    {
      "func.bencher_args"              => {
                                            action => "bench",
                                            note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                            scenario_module => "DataComparisonModules::Compare",
                                          },
      "func.bencher_version"           => undef,
      "func.code_startup"              => undef,
      "func.cpu_info"                  => [
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "sdbg",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "epb",
                                                                                "intel_pt",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                                "dtherm",
                                                                                "ida",
                                                                                "arat",
                                                                                "pln",
                                                                                "pts",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 0,
                                              speed                        => 2833.496,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "sdbg",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "epb",
                                                                                "intel_pt",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                                "dtherm",
                                                                                "ida",
                                                                                "arat",
                                                                                "pln",
                                                                                "pts",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 1,
                                              speed                        => 2525.366,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "sdbg",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "epb",
                                                                                "intel_pt",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                                "dtherm",
                                                                                "ida",
                                                                                "arat",
                                                                                "pln",
                                                                                "pts",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 2,
                                              speed                        => 2717.541,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "sdbg",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "epb",
                                                                                "intel_pt",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                                "dtherm",
                                                                                "ida",
                                                                                "arat",
                                                                                "pln",
                                                                                "pts",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 3,
                                              speed                        => 2741.552,
                                              stepping                     => 4,
                                            },
                                          ],
      "func.elapsed_time"              => 1.41306090354919,
      "func.module_startup"            => undef,
      "func.module_versions"           => {
                                            "__PACKAGE__"                                       => 1.041,
                                            "Bencher::Scenario::DataComparisonModules::Compare" => undef,
                                            "Benchmark::Dumb"                                   => 0.111,
                                            "Data::Cmp"                                         => 0.003,
                                            "Data::Comparator"                                  => undef,
                                            "Data::Compare"                                     => 1.25,
                                            "Data::Diff"                                        => 0.01,
                                            "Devel::Platform::Info"                             => 0.16,
                                            "perl"                                              => "v5.26.1",
                                            "Sys::Info"                                         => 0.78,
                                            "Test::Deep::NoTest"                                => undef,
                                          },
      "func.note"                      => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"                   => [
                                            "perl",
                                            ["perl"],
                                            "participant",
                                            [0 .. 4],
                                            "dataset",
                                            [0, 1, 2, 4, 5],
                                          ],
      "func.platform_info"             => {
                                            archname => "x86_64",
                                            codename => "sylvia",
                                            is32bit  => 0,
                                            is64bit  => 1,
                                            kernel   => "linux-4.10.0-38-generic",
                                            kname    => "Linux",
                                            kvers    => "4.10.0-38-generic",
                                            osflag   => "linux",
                                            oslabel  => "LinuxMint",
                                            osname   => "GNU/Linux",
                                            osvers   => 18.3,
                                            source   => {
                                                          "cat /etc/.issue" => "",
                                                          "cat /etc/issue"  => "Linux Mint 18.3 Sylvia \\n \\l",
                                                          "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 18.3 Sylvia\nRelease:\t18.3\nCodename:\tsylvia",
                                                          "uname -a"        => "Linux backpacker 4.10.0-38-generic #42~16.04.1-Ubuntu SMP Tue Oct 10 16:32:20 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux",
                                                          "uname -m"        => "x86_64",
                                                          "uname -o"        => "GNU/Linux",
                                                          "uname -r"        => "4.10.0-38-generic",
                                                          "uname -s"        => "Linux",
                                                        },
                                          },
      "func.precision"                 => 0,
      "func.scenario_module"           => "Bencher::Scenario::DataComparisonModules::Compare",
      "func.scenario_module_md5sum"    => "ccacde56f0b4862d35ca4269cb723634",
      "func.scenario_module_mtime"     => 1534068588,
      "func.scenario_module_sha1sum"   => "1576667af9b25b47ec1345caa4d016834acf8d8f",
      "func.scenario_module_sha256sum" => "be561aa373d38659fa73db9185c23eb4065687283df32f0e09822bcd80fc6cbc",
      "func.time_end"                  => 1534069423.04905,
      "func.time_factor"               => 1000,
      "func.time_start"                => 1534069421.63599,
      "table.field_aligns"             => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"              => [undef, undef, "/s", "ms"],
      "table.fields"                   => [
                                            "participant",
                                            "dataset",
                                            "rate",
                                            "time",
                                            "vs_slowest",
                                            "errors",
                                            "samples",
                                          ],
    },
  ],
];

1;
# ABSTRACT: Benchmark data comparison modules

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

